Deletes a Conversation - Cognigy Documentation

DELETE Conversation

Endpoint

/v2.0/conversations/{sessionId}

Description

Deletes a Conversation

Example Request


cURL

curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId} \
  --header 'X-API-Key: <api-key>'

Python

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/conversations/{sessionId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Error Responses


Status Code Error Type Description
400 Bad Request Validation failed. Missing payload.
401 Unauthorized Invalid API Key provided.
402 Payment Required Validation failed. Missing payload.
403 Forbidden Operation not allowed.
404 Not Found Session ID not found.
405 Method Not Allowed The specified method is not allowed.
409 Conflict Conflict with the current state.
413 Payload Too Large Request entity too large.
500 Internal Server Error An unexpected error occurred.
501 Not Implemented Method not implemented.
502 Bad Gateway The gateway received an invalid response.
503 Service Unavailable Service is currently unavailable.
504 Gateway Timeout Gateway didn't receive a response in time.

Authorization

Headers

Path Parameters

Query Parameters